/*===========================================================================*/
/*   (Jvm/jdump.scm)                                                         */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Jvm/jdump.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_feffectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_readz00;
   obj_t BgL_writez00;
} *BgL_feffectz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
   obj_t BgL_widezd2typezd2;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_wclassz00_bgl {
   obj_t BgL_itszd2classzd2;
} *BgL_wclassz00_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


static obj_t BGl_jvmzd2dirnamezd2zzjvm_jdumpz00(obj_t);
static obj_t BGl_methodzd2initzd2zzjvm_jdumpz00();
BGL_IMPORT obj_t open_input_string(obj_t);
extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
BGL_IMPORT obj_t BGl_makezd2filezd2namez00zz__osz00(obj_t, obj_t);
static obj_t BGl_jvmzd2checkzd2packagez00zzjvm_jdumpz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_ppz00zz__ppz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl_addsuffixz00zzjvm_jdumpz00(obj_t);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
BGL_IMPORT obj_t string_to_bstring(char *);
extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
BGL_IMPORT bool_t directoryp(char *);
static obj_t BGl_cnstzd2initzd2zzjvm_jdumpz00();
BGL_IMPORT obj_t BGl_basenamez00zz__osz00(obj_t);
extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
static obj_t BGl_importedzd2moduleszd2initz00zzjvm_jdumpz00();
BGL_IMPORT obj_t BGl_za2ppzd2widthza2zd2zz__ppz00;
BGL_IMPORT obj_t close_binary_port(obj_t);
static obj_t BGl_toplevelzd2initzd2zzjvm_jdumpz00();
BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
BGL_IMPORT bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzjvm_jdumpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_compilez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjas_asz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzbackend_c_mainz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzbackend_c_prototypez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t close_output_port(obj_t);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
extern obj_t BGl_makezd2bigloozd2mainz00zzbackend_c_mainz00();
static obj_t BGl_emitz00zzjvm_jdumpz00(obj_t, obj_t);
static obj_t BGl_jvmzd2filenamezd2zzjvm_jdumpz00(obj_t);
BGL_IMPORT obj_t open_output_binary_file(obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_jvmzd2dumpzd2zzjvm_jdumpz00(obj_t);
BGL_IMPORT bool_t BGl_makezd2directorieszd2zz__r4_ports_6_10_1z00(obj_t);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_jvmzd2aszd2zzjas_asz00(obj_t, obj_t);
extern obj_t BGl_za2mainza2z00zzmodule_modulez00;
extern obj_t BGl_za2destza2z00zzengine_paramz00;
static obj_t BGl__startzd2jvmzd2emissionz12z12zzjvm_jdumpz00(obj_t);
static obj_t BGl_startzd2jvmzd2emissionz12z12zzjvm_jdumpz00();
extern obj_t BGl_za2passza2z00zzengine_paramz00;
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t open_output_file(obj_t);
BGL_IMPORT bool_t bigloo_strcmp(obj_t, obj_t);
static obj_t BGl_jasnamez00zzjvm_jdumpz00(obj_t);
BGL_IMPORT obj_t BGl_dirnamez00zz__osz00(obj_t);
BGL_IMPORT bool_t fexists(char *);
BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzjvm_jdumpz00 = BUNSPEC;
extern obj_t BGl_za2jvmzd2directoryza2zd2zzengine_paramz00;
static obj_t BGl__jvmzd2dumpzd2zzjvm_jdumpz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2ppzd2caseza2zd2zz__ppz00;
BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
static obj_t BGl_jvmasdumpz00zzjvm_jdumpz00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzjvm_jdumpz00();
static obj_t BGl_za2jvmzd2dirzd2nameza2z00zzjvm_jdumpz00 = BUNSPEC;
extern obj_t BGl_jvmzd2compilezd2zzjvm_compilez00(obj_t);
static obj_t __cnst[ 8 ] ;


DEFINE_STRING( BGl_string3732z00zzjvm_jdumpz00, BgL_bgl_string3732za700za7za7jvm_jdumpza7003764z00, "class jast lower jvmas ld (ld distrib) (start-jvm-emission!) pass-started ", 74 );
DEFINE_STRING( BGl_string3731z00zzjvm_jdumpz00, BgL_bgl_string3731za700za7za7jvm_jdumpza7003765z00, "Can't write dest file because directory doesn't exist", 53 );
DEFINE_STRING( BGl_string3730z00zzjvm_jdumpz00, BgL_bgl_string3730za700za7za7jvm_jdumpza7003766z00, "start-jvm-emission!", 19 );
DEFINE_STRING( BGl_string3729z00zzjvm_jdumpz00, BgL_bgl_string3729za700za7za7jvm_jdumpza7003767z00, "Incompatible package name and class path.", 41 );
DEFINE_STRING( BGl_string3728z00zzjvm_jdumpz00, BgL_bgl_string3728za700za7za7jvm_jdumpza7003768z00, "Package name for module ", 24 );
DEFINE_STRING( BGl_string3727z00zzjvm_jdumpz00, BgL_bgl_string3727za700za7za7jvm_jdumpza7003769z00, " is `", 5 );
DEFINE_STRING( BGl_string3726z00zzjvm_jdumpz00, BgL_bgl_string3726za700za7za7jvm_jdumpza7003770z00, "', class path is `", 18 );
DEFINE_STRING( BGl_string3725z00zzjvm_jdumpz00, BgL_bgl_string3725za700za7za7jvm_jdumpza7003771z00, "'.", 2 );
DEFINE_STRING( BGl_string3724z00zzjvm_jdumpz00, BgL_bgl_string3724za700za7za7jvm_jdumpza7003772z00, "", 0 );
DEFINE_STRING( BGl_string3723z00zzjvm_jdumpz00, BgL_bgl_string3723za700za7za7jvm_jdumpza7003773z00, "Can't open file for output", 26 );
DEFINE_STRING( BGl_string3722z00zzjvm_jdumpz00, BgL_bgl_string3722za700za7za7jvm_jdumpza7003774z00, "jvm-dump", 8 );
DEFINE_STRING( BGl_string3721z00zzjvm_jdumpz00, BgL_bgl_string3721za700za7za7jvm_jdumpza7003775z00, "/a.class", 8 );
DEFINE_STRING( BGl_string3720z00zzjvm_jdumpz00, BgL_bgl_string3720za700za7za7jvm_jdumpza7003776z00, "/", 1 );
DEFINE_STRING( BGl_string3719z00zzjvm_jdumpz00, BgL_bgl_string3719za700za7za7jvm_jdumpza7003777z00, "a.class", 7 );
DEFINE_STRING( BGl_string3718z00zzjvm_jdumpz00, BgL_bgl_string3718za700za7za7jvm_jdumpza7003778z00, "      [module: ", 15 );
DEFINE_STRING( BGl_string3717z00zzjvm_jdumpz00, BgL_bgl_string3717za700za7za7jvm_jdumpza7003779z00, " qualified type name: ", 22 );
DEFINE_STRING( BGl_string3716z00zzjvm_jdumpz00, BgL_bgl_string3716za700za7za7jvm_jdumpza7003780z00, "]", 1 );
DEFINE_STRING( BGl_string3715z00zzjvm_jdumpz00, BgL_bgl_string3715za700za7za7jvm_jdumpza7003781z00, "failure during prelude hook", 27 );
DEFINE_STRING( BGl_string3714z00zzjvm_jdumpz00, BgL_bgl_string3714za700za7za7jvm_jdumpza7003782z00, "   . ", 5 );
DEFINE_STRING( BGl_string3713z00zzjvm_jdumpz00, BgL_bgl_string3713za700za7za7jvm_jdumpza7003783z00, "Jvm", 3 );
DEFINE_STRING( BGl_string3712z00zzjvm_jdumpz00, BgL_bgl_string3712za700za7za7jvm_jdumpza7003784z00, ".", 1 );
DEFINE_EXPORT_PROCEDURE( BGl_jvmzd2dumpzd2envz00zzjvm_jdumpz00, BgL_bgl__jvmza7d2dumpza7d2za7za7jvm_jdumpza7003785za7, BGl__jvmzd2dumpzd2zzjvm_jdumpz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_startzd2jvmzd2emissionz12zd2envzc0zzjvm_jdumpz00, BgL_bgl__startza7d2jvmza7d2emissionza712za712za7za7jvm_jdumpza7003786za7, BGl__startzd2jvmzd2emissionz12z12zzjvm_jdumpz00, 0L, 0 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzjvm_jdumpz00(long BgL_checksumz00_1398, char * BgL_fromz00_1399)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzjvm_jdumpz00))
{ 
BGl_requirezd2initializa7ationz75zzjvm_jdumpz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzjvm_jdumpz00(); 
BGl_cnstzd2initzd2zzjvm_jdumpz00(); 
BGl_importedzd2moduleszd2initz00zzjvm_jdumpz00(); 
BGl_toplevelzd2initzd2zzjvm_jdumpz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzjvm_jdumpz00()
{ AN_OBJECT;
{ /* ./Jvm/jdump.scm 71 */
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "jvm_jdump"); 
BGl_modulezd2initializa7ationz75zz__ppz00(((long)0), "jvm_jdump"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "jvm_jdump"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "jvm_jdump"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "jvm_jdump"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "jvm_jdump"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "jvm_jdump"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "jvm_jdump"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzjvm_jdumpz00()
{ AN_OBJECT;
{ /* ./Jvm/jdump.scm 71 */
{ /* ./Jvm/jdump.scm 71 */
obj_t BgL_cportz00_1391;
BgL_cportz00_1391 = 
open_input_string(BGl_string3732z00zzjvm_jdumpz00); 
{ 
long BgL_iz00_1392;
BgL_iz00_1392 = ((long)7); 
BgL_loopz00_1393:
{ /* ./Jvm/jdump.scm 71 */
bool_t BgL_test3734z00_1394;
BgL_test3734z00_1394 = 
(BgL_iz00_1392==((long)-1)); 
if(BgL_test3734z00_1394)
{ /* ./Jvm/jdump.scm 71 */
return BUNSPEC;}  else 
{ /* ./Jvm/jdump.scm 71 */
{ /* ./Jvm/jdump.scm 71 */
obj_t BgL_arg3736z00_1395;
{ /* ./Jvm/jdump.scm 71 */
obj_t BgL_list3739z00_1396;
BgL_list3739z00_1396 = 
MAKE_PAIR(BgL_cportz00_1391, BNIL); 
BgL_arg3736z00_1395 = 
BGl_readz00zz__readerz00(BgL_list3739z00_1396); } 
{ /* ./Jvm/jdump.scm 71 */
int BgL_auxz00_1420;
BgL_auxz00_1420 = 
(int)(BgL_iz00_1392); 
CNST_TABLE_SET(BgL_auxz00_1420, BgL_arg3736z00_1395); } } 
{ /* ./Jvm/jdump.scm 71 */
int BgL_auxz00_1397;
{ /* ./Jvm/jdump.scm 71 */
long BgL_auxz00_1423;
BgL_auxz00_1423 = 
(BgL_iz00_1392-((long)1)); 
BgL_auxz00_1397 = 
(int)(BgL_auxz00_1423); } 
{ 
long BgL_iz00_1426;
BgL_iz00_1426 = 
(long)(BgL_auxz00_1397); 
BgL_iz00_1392 = BgL_iz00_1426; 
goto BgL_loopz00_1393;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzjvm_jdumpz00()
{ AN_OBJECT;
{ /* ./Jvm/jdump.scm 71 */
return ( 
BGl_za2jvmzd2dirzd2nameza2z00zzjvm_jdumpz00 = BGl_string3712z00zzjvm_jdumpz00, BUNSPEC) ;} 
}



/* jvm-dump */
BGL_EXPORTED_DEF obj_t BGl_jvmzd2dumpzd2zzjvm_jdumpz00(obj_t BgL_globalsz00_19)
{ AN_OBJECT;
{ /* ./Jvm/jdump.scm 96 */
{ /* ./Jvm/jdump.scm 98 */
obj_t BgL_list2973z00_756;
{ /* ./Jvm/jdump.scm 98 */
obj_t BgL_arg2976z00_758;
{ /* ./Jvm/jdump.scm 98 */
obj_t BgL_arg2980z00_760;
{ /* ./Jvm/jdump.scm 98 */
obj_t BgL_auxz00_1428;
BgL_auxz00_1428 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg2980z00_760 = 
MAKE_PAIR(BgL_auxz00_1428, BNIL); } 
BgL_arg2976z00_758 = 
MAKE_PAIR(BGl_string3713z00zzjvm_jdumpz00, BgL_arg2980z00_760); } 
BgL_list2973z00_756 = 
MAKE_PAIR(BGl_string3714z00zzjvm_jdumpz00, BgL_arg2976z00_758); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)1)), BgL_list2973z00_756); } 
BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = 
BINT(((long)0)); 
BGl_za2currentzd2passza2zd2zzengine_passz00 = BGl_string3713z00zzjvm_jdumpz00; 
{ 
obj_t BgL_hooksz00_761;obj_t BgL_hnamesz00_762;
{ /* ./Jvm/jdump.scm 98 */
obj_t BgL_arg2984z00_764;obj_t BgL_arg2986z00_765;
{ /* ./Jvm/jdump.scm 98 */
obj_t BgL_list2989z00_766;
BgL_list2989z00_766 = 
MAKE_PAIR(BGl_startzd2jvmzd2emissionz12zd2envzc0zzjvm_jdumpz00, BNIL); 
BgL_arg2984z00_764 = BgL_list2989z00_766; } 
BgL_arg2986z00_765 = 
CNST_TABLE_REF(((long)1)); 
BgL_hooksz00_761 = BgL_arg2984z00_764; 
BgL_hnamesz00_762 = BgL_arg2986z00_765; 
BgL_loopz00_763:
{ /* ./Jvm/jdump.scm 98 */
bool_t BgL_test2991z00_767;
BgL_test2991z00_767 = 
NULLP(BgL_hooksz00_761); 
if(BgL_test2991z00_767)
{ /* ./Jvm/jdump.scm 98 */
CNST_TABLE_REF(((long)0)); }  else 
{ /* ./Jvm/jdump.scm 98 */
bool_t BgL_test2992z00_768;
{ /* ./Jvm/jdump.scm 98 */
obj_t BgL_fun3007z00_774;
BgL_fun3007z00_774 = 
CAR(BgL_hooksz00_761); 
{ /* ./Jvm/jdump.scm 98 */
obj_t BgL_auxz00_1442;
BgL_auxz00_1442 = 
PROCEDURE_ENTRY(BgL_fun3007z00_774)(BgL_fun3007z00_774, BEOA); 
BgL_test2992z00_768 = 
CBOOL(BgL_auxz00_1442); } } 
if(BgL_test2992z00_768)
{ /* ./Jvm/jdump.scm 98 */
{ /* ./Jvm/jdump.scm 98 */
obj_t BgL_arg2994z00_769;obj_t BgL_arg2995z00_770;
BgL_arg2994z00_769 = 
CDR(BgL_hooksz00_761); 
BgL_arg2995z00_770 = 
CDR(BgL_hnamesz00_762); 
{ 
obj_t BgL_hnamesz00_1450;obj_t BgL_hooksz00_1449;
BgL_hooksz00_1449 = BgL_arg2994z00_769; 
BgL_hnamesz00_1450 = BgL_arg2995z00_770; 
BgL_hnamesz00_762 = BgL_hnamesz00_1450; 
BgL_hooksz00_761 = BgL_hooksz00_1449; 
goto BgL_loopz00_763;} } }  else 
{ /* ./Jvm/jdump.scm 98 */
{ /* ./Jvm/jdump.scm 98 */
obj_t BgL_arg3002z00_773;
BgL_arg3002z00_773 = 
CAR(BgL_hnamesz00_762); 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string3713z00zzjvm_jdumpz00, BGl_string3715z00zzjvm_jdumpz00, BgL_arg3002z00_773); } } } } } } 
{ /* ./Jvm/jdump.scm 99 */
obj_t BgL_arg3014z00_778;
BgL_arg3014z00_778 = 
BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(BGl_za2moduleza2z00zzmodule_modulez00); 
{ /* ./Jvm/jdump.scm 99 */
obj_t BgL_list3017z00_780;
{ /* ./Jvm/jdump.scm 99 */
obj_t BgL_arg3019z00_781;
{ /* ./Jvm/jdump.scm 99 */
obj_t BgL_arg3022z00_782;
{ /* ./Jvm/jdump.scm 99 */
obj_t BgL_arg3025z00_783;
{ /* ./Jvm/jdump.scm 99 */
obj_t BgL_arg3028z00_784;
{ /* ./Jvm/jdump.scm 99 */
obj_t BgL_arg3031z00_785;
{ /* ./Jvm/jdump.scm 99 */
obj_t BgL_auxz00_1454;
BgL_auxz00_1454 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg3031z00_785 = 
MAKE_PAIR(BgL_auxz00_1454, BNIL); } 
BgL_arg3028z00_784 = 
MAKE_PAIR(BGl_string3716z00zzjvm_jdumpz00, BgL_arg3031z00_785); } 
BgL_arg3025z00_783 = 
MAKE_PAIR(BgL_arg3014z00_778, BgL_arg3028z00_784); } 
BgL_arg3022z00_782 = 
MAKE_PAIR(BGl_string3717z00zzjvm_jdumpz00, BgL_arg3025z00_783); } 
BgL_arg3019z00_781 = 
MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BgL_arg3022z00_782); } 
BgL_list3017z00_780 = 
MAKE_PAIR(BGl_string3718z00zzjvm_jdumpz00, BgL_arg3019z00_781); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list3017z00_780); } } 
{ /* ./Jvm/jdump.scm 103 */
bool_t BgL_test3035z00_786;
if(
CBOOL(BGl_za2mainza2z00zzmodule_modulez00))
{ /* ./Jvm/jdump.scm 103 */
BgL_test3035z00_786 = ((bool_t)0); }  else 
{ /* ./Jvm/jdump.scm 103 */
obj_t BgL_auxz00_1466;
BgL_auxz00_1466 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BGl_za2passza2z00zzengine_paramz00, 
CNST_TABLE_REF(((long)2))); 
BgL_test3035z00_786 = 
CBOOL(BgL_auxz00_1466); } 
if(BgL_test3035z00_786)
{ /* ./Jvm/jdump.scm 103 */
BGl_za2mainza2z00zzmodule_modulez00 = 
BGl_makezd2bigloozd2mainz00zzbackend_c_mainz00(); }  else 
{ /* ./Jvm/jdump.scm 103 */BFALSE; } } 
BGl_jvmzd2checkzd2packagez00zzjvm_jdumpz00(BGl_za2moduleza2z00zzmodule_modulez00, BGl_za2jvmzd2dirzd2nameza2z00zzjvm_jdumpz00); 
{ /* ./Jvm/jdump.scm 125 */
obj_t BgL_lza2za2_787;obj_t BgL_bnamez00_788;
BgL_lza2za2_787 = 
BGl_jvmzd2compilezd2zzjvm_compilez00(BgL_globalsz00_19); 
{ /* ./Jvm/jdump.scm 127 */
bool_t BgL_test3059z00_797;
{ /* ./Jvm/jdump.scm 127 */
obj_t BgL_auxz00_1474;
BgL_auxz00_1474 = 
CNST_TABLE_REF(((long)3)); 
BgL_test3059z00_797 = 
(BGl_za2passza2z00zzengine_paramz00==BgL_auxz00_1474); } 
if(BgL_test3059z00_797)
{ /* ./Jvm/jdump.scm 127 */
{ /* ./Jvm/jdump.scm 128 */
bool_t BgL_test3060z00_798;
{ /* ./Jvm/jdump.scm 128 */
obj_t BgL_objz00_1308;
BgL_objz00_1308 = BGl_za2srczd2filesza2zd2zzengine_paramz00; 
BgL_test3060z00_798 = 
PAIRP(BgL_objz00_1308); } 
if(BgL_test3060z00_798)
{ /* ./Jvm/jdump.scm 129 */
obj_t BgL_arg3062z00_799;
{ /* ./Jvm/jdump.scm 129 */
obj_t BgL_arg3065z00_800;
{ /* ./Jvm/jdump.scm 129 */
obj_t BgL_arg3068z00_801;
{ /* ./Jvm/jdump.scm 129 */
obj_t BgL_pairz00_1309;
BgL_pairz00_1309 = BGl_za2srczd2filesza2zd2zzengine_paramz00; 
BgL_arg3068z00_801 = 
CAR(BgL_pairz00_1309); } 
BgL_arg3065z00_800 = 
BGl_basenamez00zz__osz00(BgL_arg3068z00_801); } 
BgL_arg3062z00_799 = 
BGl_prefixz00zz__osz00(BgL_arg3065z00_800); } 
BgL_bnamez00_788 = 
BGl_addsuffixz00zzjvm_jdumpz00(BgL_arg3062z00_799); }  else 
{ /* ./Jvm/jdump.scm 128 */
BgL_bnamez00_788 = BGl_string3719z00zzjvm_jdumpz00; } } }  else 
{ /* ./Jvm/jdump.scm 131 */
bool_t BgL_test3072z00_802;
{ /* ./Jvm/jdump.scm 131 */
obj_t BgL_objz00_1310;
BgL_objz00_1310 = BGl_za2destza2z00zzengine_paramz00; 
BgL_test3072z00_802 = 
STRINGP(BgL_objz00_1310); } 
if(BgL_test3072z00_802)
{ /* ./Jvm/jdump.scm 131 */
{ /* ./Jvm/jdump.scm 136 */
obj_t BgL_arg3074z00_803;
{ /* ./Jvm/jdump.scm 136 */
obj_t BgL_arg3077z00_804;
BgL_arg3077z00_804 = 
BGl_basenamez00zz__osz00(BGl_za2destza2z00zzengine_paramz00); 
BgL_arg3074z00_803 = 
BGl_prefixz00zz__osz00(BgL_arg3077z00_804); } 
BgL_bnamez00_788 = 
BGl_addsuffixz00zzjvm_jdumpz00(BgL_arg3074z00_803); } }  else 
{ /* ./Jvm/jdump.scm 131 */
{ /* ./Jvm/jdump.scm 132 */
bool_t BgL_test3080z00_805;
{ /* ./Jvm/jdump.scm 132 */
obj_t BgL_objz00_1311;
BgL_objz00_1311 = BGl_za2srczd2filesza2zd2zzengine_paramz00; 
BgL_test3080z00_805 = 
PAIRP(BgL_objz00_1311); } 
if(BgL_test3080z00_805)
{ /* ./Jvm/jdump.scm 133 */
obj_t BgL_arg3082z00_806;
{ /* ./Jvm/jdump.scm 133 */
obj_t BgL_arg3085z00_807;
{ /* ./Jvm/jdump.scm 133 */
obj_t BgL_arg3088z00_808;
{ /* ./Jvm/jdump.scm 133 */
obj_t BgL_pairz00_1312;
BgL_pairz00_1312 = BGl_za2srczd2filesza2zd2zzengine_paramz00; 
BgL_arg3088z00_808 = 
CAR(BgL_pairz00_1312); } 
BgL_arg3085z00_807 = 
BGl_basenamez00zz__osz00(BgL_arg3088z00_808); } 
BgL_arg3082z00_806 = 
BGl_prefixz00zz__osz00(BgL_arg3085z00_807); } 
BgL_bnamez00_788 = 
BGl_addsuffixz00zzjvm_jdumpz00(BgL_arg3082z00_806); }  else 
{ /* ./Jvm/jdump.scm 132 */
BgL_bnamez00_788 = BFALSE; } } } } } 
{ /* ./Jvm/jdump.scm 137 */
obj_t BgL_arg3040z00_789;
BgL_arg3040z00_789 = 
CAR(BgL_lza2za2_787); 
BGl_emitz00zzjvm_jdumpz00(BgL_arg3040z00_789, BgL_bnamez00_788); } 
{ 
obj_t BgL_l2932z00_790;
{ /* ./Jvm/jdump.scm 139 */
obj_t BgL_arg3044z00_792;
BgL_arg3044z00_792 = 
CDR(BgL_lza2za2_787); 
{ /* ./Jvm/jdump.scm 138 */
bool_t BgL_auxz00_1498;
BgL_l2932z00_790 = BgL_arg3044z00_792; 
BgL_forzd2each2933zd2_791:
{ /* ./Jvm/jdump.scm 138 */
bool_t BgL_test3047z00_793;
BgL_test3047z00_793 = 
PAIRP(BgL_l2932z00_790); 
if(BgL_test3047z00_793)
{ /* ./Jvm/jdump.scm 138 */
{ /* ./Jvm/jdump.scm 138 */
obj_t BgL_cfz00_794;
BgL_cfz00_794 = 
CAR(BgL_l2932z00_790); 
{ /* ./Jvm/jdump.scm 138 */
obj_t BgL_arg3049z00_795;
BgL_arg3049z00_795 = 
BGl_jasnamez00zzjvm_jdumpz00(BgL_cfz00_794); 
BGl_emitz00zzjvm_jdumpz00(BgL_cfz00_794, BgL_arg3049z00_795); } } 
{ /* ./Jvm/jdump.scm 138 */
obj_t BgL_arg3054z00_796;
BgL_arg3054z00_796 = 
CDR(BgL_l2932z00_790); 
{ 
obj_t BgL_l2932z00_1505;
BgL_l2932z00_1505 = BgL_arg3054z00_796; 
BgL_l2932z00_790 = BgL_l2932z00_1505; 
goto BgL_forzd2each2933zd2_791;} } }  else 
{ /* ./Jvm/jdump.scm 138 */
BgL_auxz00_1498 = ((bool_t)1); } } 
return 
BBOOL(BgL_auxz00_1498);} } } } } 
}



/* emit */
obj_t BGl_emitz00zzjvm_jdumpz00(obj_t BgL_classfilez00_809, obj_t BgL_destz00_810)
{ AN_OBJECT;
{ /* ./Jvm/jdump.scm 123 */
{ /* ./Jvm/jdump.scm 107 */
obj_t BgL_dirz00_812;
BgL_dirz00_812 = BGl_za2jvmzd2dirzd2nameza2z00zzjvm_jdumpz00; 
{ /* ./Jvm/jdump.scm 108 */
bool_t BgL_test3095z00_813;
{ /* ./Jvm/jdump.scm 108 */
obj_t BgL_auxz00_1507;
BgL_auxz00_1507 = 
CNST_TABLE_REF(((long)4)); 
BgL_test3095z00_813 = 
(BGl_za2passza2z00zzengine_paramz00==BgL_auxz00_1507); } 
if(BgL_test3095z00_813)
{ /* ./Jvm/jdump.scm 109 */
obj_t BgL_portz00_814;
{ /* ./Jvm/jdump.scm 109 */
bool_t BgL_test3103z00_817;
BgL_test3103z00_817 = 
STRINGP(BgL_destz00_810); 
if(BgL_test3103z00_817)
{ /* ./Jvm/jdump.scm 112 */
obj_t BgL_arg3105z00_818;
BgL_arg3105z00_818 = 
string_append_3(BgL_dirz00_812, BGl_string3720z00zzjvm_jdumpz00, BgL_destz00_810); 
BgL_portz00_814 = 
open_output_file(BgL_arg3105z00_818); }  else 
{ /* ./Jvm/jdump.scm 109 */
BgL_portz00_814 = 
BGL_CURRENT_OUTPUT_PORT(); } } 
BGl_jvmasdumpz00zzjvm_jdumpz00(BgL_classfilez00_809, BgL_portz00_814); 
{ /* ./Jvm/jdump.scm 114 */
bool_t BgL_test3097z00_815;
{ /* ./Jvm/jdump.scm 114 */
obj_t BgL_arg3100z00_816;
BgL_arg3100z00_816 = 
BGL_CURRENT_OUTPUT_PORT(); 
BgL_test3097z00_815 = 
(BgL_portz00_814==BgL_arg3100z00_816); } 
if(BgL_test3097z00_815)
{ /* ./Jvm/jdump.scm 114 */
return BFALSE;}  else 
{ /* ./Jvm/jdump.scm 114 */
return 
close_output_port(BgL_portz00_814);} } }  else 
{ /* ./Jvm/jdump.scm 116 */
obj_t BgL_cnamez00_819;
{ /* ./Jvm/jdump.scm 116 */
bool_t BgL_test3116z00_822;
BgL_test3116z00_822 = 
STRINGP(BgL_destz00_810); 
if(BgL_test3116z00_822)
{ /* ./Jvm/jdump.scm 116 */
BgL_cnamez00_819 = 
string_append_3(BgL_dirz00_812, BGl_string3720z00zzjvm_jdumpz00, BgL_destz00_810); }  else 
{ /* ./Jvm/jdump.scm 116 */
BgL_cnamez00_819 = 
string_append(BgL_dirz00_812, BGl_string3721z00zzjvm_jdumpz00); } } 
{ /* ./Jvm/jdump.scm 116 */
obj_t BgL_portz00_820;
BgL_portz00_820 = 
open_output_binary_file(BgL_cnamez00_819); 
{ /* ./Jvm/jdump.scm 119 */

{ /* ./Jvm/jdump.scm 120 */
bool_t BgL_test3110z00_821;
BgL_test3110z00_821 = 
BINARY_PORTP(BgL_portz00_820); 
if(BgL_test3110z00_821)
{ /* ./Jvm/jdump.scm 120 */((bool_t)0); }  else 
{ /* ./Jvm/jdump.scm 120 */
FAILURE(BGl_string3722z00zzjvm_jdumpz00,BGl_string3723z00zzjvm_jdumpz00,BgL_cnamez00_819);} } 
BGl_jvmzd2aszd2zzjas_asz00(BgL_classfilez00_809, BgL_portz00_820); 
return 
close_binary_port(BgL_portz00_820);} } } } } } 
}



/* _jvm-dump */
obj_t BGl__jvmzd2dumpzd2zzjvm_jdumpz00(obj_t BgL_envz00_1387, obj_t BgL_globalsz00_1388)
{ AN_OBJECT;
{ /* ./Jvm/jdump.scm 96 */
return 
BGl_jvmzd2dumpzd2zzjvm_jdumpz00(BgL_globalsz00_1388);} 
}



/* jvm-check-package */
obj_t BGl_jvmzd2checkzd2packagez00zzjvm_jdumpz00(obj_t BgL_modulez00_20, obj_t BgL_pathz00_21)
{ AN_OBJECT;
{ /* ./Jvm/jdump.scm 147 */
{ 
obj_t BgL_basez00_844;obj_t BgL_pathz00_845;
{ /* ./Jvm/jdump.scm 164 */
obj_t BgL_qtypez00_825;
BgL_qtypez00_825 = 
BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(BgL_modulez00_20); 
{ /* ./Jvm/jdump.scm 164 */
obj_t BgL_basez00_826;
{ /* ./Jvm/jdump.scm 165 */
obj_t BgL_prez00_841;
BgL_prez00_841 = 
BGl_prefixz00zz__osz00(BgL_qtypez00_825); 
{ /* ./Jvm/jdump.scm 167 */
bool_t BgL_test3154z00_842;
BgL_test3154z00_842 = 
bigloo_strcmp(BgL_prez00_841, BGl_string3724z00zzjvm_jdumpz00); 
if(BgL_test3154z00_842)
{ /* ./Jvm/jdump.scm 167 */
BgL_basez00_826 = BGl_string3712z00zzjvm_jdumpz00; }  else 
{ /* ./Jvm/jdump.scm 169 */
bool_t BgL_test3155z00_843;
BgL_test3155z00_843 = 
bigloo_strcmp(BgL_prez00_841, BgL_qtypez00_825); 
if(BgL_test3155z00_843)
{ /* ./Jvm/jdump.scm 169 */
BgL_basez00_826 = BGl_string3712z00zzjvm_jdumpz00; }  else 
{ /* ./Jvm/jdump.scm 169 */
BgL_basez00_826 = BgL_prez00_841; } } } } 
{ /* ./Jvm/jdump.scm 165 */

{ /* ./Jvm/jdump.scm 173 */
bool_t BgL_test3121z00_827;
{ /* ./Jvm/jdump.scm 173 */
obj_t BgL_arg3151z00_840;
BgL_arg3151z00_840 = 
BGl_jvmzd2filenamezd2zzjvm_jdumpz00(BgL_basez00_826); 
BgL_basez00_844 = BgL_arg3151z00_840; 
BgL_pathz00_845 = BgL_pathz00_21; 
{ /* ./Jvm/jdump.scm 149 */
int BgL_lbasez00_847;int BgL_lpathz00_848;
BgL_lbasez00_847 = 
STRING_LENGTH(BgL_basez00_844); 
BgL_lpathz00_848 = 
STRING_LENGTH(BgL_pathz00_845); 
if(
BGl_2zc3zc3zz__r4_numbers_6_5z00(
BINT(BgL_lpathz00_848), 
BINT(BgL_lbasez00_847)))
{ /* ./Jvm/jdump.scm 151 */
BgL_test3121z00_827 = ((bool_t)0); }  else 
{ 
long BgL_rpathz00_850;long BgL_rbasez00_851;
{ /* ./Jvm/jdump.scm 153 */
long BgL_auxz00_1563;
BgL_auxz00_1563 = 
(long)(BgL_lpathz00_848); 
BgL_rpathz00_850 = 
(BgL_auxz00_1563-((long)1)); } 
{ /* ./Jvm/jdump.scm 154 */
long BgL_auxz00_1566;
BgL_auxz00_1566 = 
(long)(BgL_lbasez00_847); 
BgL_rbasez00_851 = 
(BgL_auxz00_1566-((long)1)); } 
BgL_loopz00_852:
if(
(BgL_rbasez00_851==((long)-1)))
{ /* ./Jvm/jdump.scm 155 */
BgL_test3121z00_827 = ((bool_t)1); }  else 
{ /* ./Jvm/jdump.scm 157 */
unsigned char BgL_cbasez00_856;unsigned char BgL_cpathz00_857;
{ /* ./Jvm/jdump.scm 157 */
int BgL_auxz00_1547;
BgL_auxz00_1547 = 
(int)(BgL_rbasez00_851); 
BgL_cbasez00_856 = 
STRING_REF(BgL_basez00_844, BgL_auxz00_1547); } 
{ /* ./Jvm/jdump.scm 158 */
int BgL_auxz00_1550;
BgL_auxz00_1550 = 
(int)(BgL_rpathz00_850); 
BgL_cpathz00_857 = 
STRING_REF(BgL_pathz00_845, BgL_auxz00_1550); } 
{ /* ./Jvm/jdump.scm 159 */
bool_t BgL_testz00_1553;
if(
(BgL_cbasez00_856==BgL_cpathz00_857))
{ /* ./Jvm/jdump.scm 159 */
BgL_testz00_1553 = ((bool_t)1)
; }  else 
{ /* ./Jvm/jdump.scm 159 */
if(
(BgL_cpathz00_857==((unsigned char)'/')))
{ /* ./Jvm/jdump.scm 160 */
BgL_testz00_1553 = 
(BgL_cbasez00_856==((unsigned char)'.'))
; }  else 
{ /* ./Jvm/jdump.scm 160 */
BgL_testz00_1553 = ((bool_t)0)
; } } 
if(BgL_testz00_1553)
{ 
long BgL_rbasez00_1561;long BgL_rpathz00_1559;
BgL_rpathz00_1559 = 
(BgL_rpathz00_850-((long)1)); 
BgL_rbasez00_1561 = 
(BgL_rbasez00_851-((long)1)); 
BgL_rbasez00_851 = BgL_rbasez00_1561; 
BgL_rpathz00_850 = BgL_rpathz00_1559; 
goto BgL_loopz00_852;}  else 
{ /* ./Jvm/jdump.scm 159 */
BgL_test3121z00_827 = ((bool_t)0); } } } } } } 
if(BgL_test3121z00_827)
{ /* ./Jvm/jdump.scm 173 */
return BFALSE;}  else 
{ /* ./Jvm/jdump.scm 174 */
obj_t BgL_list3123z00_828;
{ /* ./Jvm/jdump.scm 174 */
obj_t BgL_arg3126z00_830;
{ /* ./Jvm/jdump.scm 174 */
obj_t BgL_arg3130z00_832;
{ /* ./Jvm/jdump.scm 174 */
obj_t BgL_arg3133z00_833;
{ /* ./Jvm/jdump.scm 174 */
obj_t BgL_arg3137z00_835;
{ /* ./Jvm/jdump.scm 174 */
obj_t BgL_arg3140z00_836;
{ /* ./Jvm/jdump.scm 174 */
obj_t BgL_arg3144z00_838;
{ /* ./Jvm/jdump.scm 174 */
obj_t BgL_arg3147z00_839;
BgL_arg3147z00_839 = 
MAKE_PAIR(BGl_string3725z00zzjvm_jdumpz00, BNIL); 
BgL_arg3144z00_838 = 
MAKE_PAIR(BgL_pathz00_21, BgL_arg3147z00_839); } 
BgL_arg3140z00_836 = 
MAKE_PAIR(BGl_string3726z00zzjvm_jdumpz00, BgL_arg3144z00_838); } 
BgL_arg3137z00_835 = 
MAKE_PAIR(BgL_basez00_826, BgL_arg3140z00_836); } 
BgL_arg3133z00_833 = 
MAKE_PAIR(BGl_string3727z00zzjvm_jdumpz00, BgL_arg3137z00_835); } 
BgL_arg3130z00_832 = 
MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BgL_arg3133z00_833); } 
BgL_arg3126z00_830 = 
MAKE_PAIR(BGl_string3728z00zzjvm_jdumpz00, BgL_arg3130z00_832); } 
BgL_list3123z00_828 = 
MAKE_PAIR(BGl_string3729z00zzjvm_jdumpz00, BgL_arg3126z00_830); } 
return 
BGl_warningz00zz__errorz00(BgL_list3123z00_828);} } } } } } } 
}



/* jvmasdump */
obj_t BGl_jvmasdumpz00zzjvm_jdumpz00(obj_t BgL_classfilez00_22, obj_t BgL_portz00_23)
{ AN_OBJECT;
{ /* ./Jvm/jdump.scm 180 */
{ /* ./Jvm/jdump.scm 181 */
obj_t BgL_owz00_864;obj_t BgL_ocz00_865;
BgL_owz00_864 = BGl_za2ppzd2widthza2zd2zz__ppz00; 
BgL_ocz00_865 = BGl_za2ppzd2caseza2zd2zz__ppz00; 
BGl_za2ppzd2widthza2zd2zz__ppz00 = 
BINT(((long)1024)); 
BGl_za2ppzd2caseza2zd2zz__ppz00 = 
CNST_TABLE_REF(((long)5)); 
{ /* ./Jvm/jdump.scm 184 */
obj_t BgL_list3187z00_866;
BgL_list3187z00_866 = 
MAKE_PAIR(BgL_portz00_23, BNIL); 
BGl_ppz00zz__ppz00(BgL_classfilez00_22, BgL_list3187z00_866); } 
BGl_za2ppzd2caseza2zd2zz__ppz00 = BgL_ocz00_865; 
return ( 
BGl_za2ppzd2widthza2zd2zz__ppz00 = BgL_owz00_864, BUNSPEC) ;} } 
}



/* addsuffix */
obj_t BGl_addsuffixz00zzjvm_jdumpz00(obj_t BgL_namez00_24)
{ AN_OBJECT;
{ /* ./Jvm/jdump.scm 188 */
{ /* ./Jvm/jdump.scm 190 */
char * BgL_arg3190z00_867;
{ /* ./Jvm/jdump.scm 190 */
obj_t BgL_casezd2valuezd2_868;
BgL_casezd2valuezd2_868 = BGl_za2passza2z00zzengine_paramz00; 
if(
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_868, 
CNST_TABLE_REF(((long)6))))
{ /* ./Jvm/jdump.scm 190 */
BgL_arg3190z00_867 = ".jast"; }  else 
{ /* ./Jvm/jdump.scm 190 */
if(
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_868, 
CNST_TABLE_REF(((long)4))))
{ /* ./Jvm/jdump.scm 190 */
BgL_arg3190z00_867 = ".jas"; }  else 
{ /* ./Jvm/jdump.scm 190 */
BgL_arg3190z00_867 = ".class"; } } } 
{ /* ./Jvm/jdump.scm 189 */
obj_t BgL_auxz00_1589;
BgL_auxz00_1589 = 
string_to_bstring(BgL_arg3190z00_867); 
return 
string_append(BgL_namez00_24, BgL_auxz00_1589);} } } 
}



/* jasname */
obj_t BGl_jasnamez00zzjvm_jdumpz00(obj_t BgL_cfz00_25)
{ AN_OBJECT;
{ /* ./Jvm/jdump.scm 198 */
{ /* ./Jvm/jdump.scm 199 */
bool_t BgL_test3196z00_874;
BgL_test3196z00_874 = 
PAIRP(BgL_cfz00_25); 
if(BgL_test3196z00_874)
{ /* ./Jvm/jdump.scm 199 */
obj_t BgL_carzd2105zd2_875;
BgL_carzd2105zd2_875 = 
CAR(BgL_cfz00_25); 
{ /* ./Jvm/jdump.scm 199 */
bool_t BgL_test3197z00_876;
BgL_test3197z00_876 = 
PAIRP(BgL_carzd2105zd2_875); 
if(BgL_test3197z00_876)
{ /* ./Jvm/jdump.scm 199 */
obj_t BgL_cdrzd2109zd2_877;
BgL_cdrzd2109zd2_877 = 
CDR(BgL_carzd2105zd2_875); 
{ /* ./Jvm/jdump.scm 199 */
bool_t BgL_test3198z00_878;
{ /* ./Jvm/jdump.scm 199 */
obj_t BgL_auxz00_1600;obj_t BgL_auxz00_1598;
BgL_auxz00_1600 = 
CNST_TABLE_REF(((long)7)); 
BgL_auxz00_1598 = 
CAR(BgL_carzd2105zd2_875); 
BgL_test3198z00_878 = 
(BgL_auxz00_1598==BgL_auxz00_1600); } 
if(BgL_test3198z00_878)
{ /* ./Jvm/jdump.scm 199 */
bool_t BgL_test3199z00_879;
BgL_test3199z00_879 = 
PAIRP(BgL_cdrzd2109zd2_877); 
if(BgL_test3199z00_879)
{ /* ./Jvm/jdump.scm 199 */
bool_t BgL_test3200z00_880;
{ /* ./Jvm/jdump.scm 199 */
obj_t BgL_auxz00_1606;
BgL_auxz00_1606 = 
CDR(BgL_cdrzd2109zd2_877); 
BgL_test3200z00_880 = 
NULLP(BgL_auxz00_1606); } 
if(BgL_test3200z00_880)
{ /* ./Jvm/jdump.scm 199 */
obj_t BgL_arg3202z00_881;
BgL_arg3202z00_881 = 
CAR(BgL_cdrzd2109zd2_877); 
{ /* ./Jvm/jdump.scm 199 */
obj_t BgL_arg3221z00_1364;
BgL_arg3221z00_1364 = 
SYMBOL_TO_STRING(BgL_arg3202z00_881); 
return 
BGl_addsuffixz00zzjvm_jdumpz00(BgL_arg3221z00_1364);} }  else 
{ /* ./Jvm/jdump.scm 199 */
return BFALSE;} }  else 
{ /* ./Jvm/jdump.scm 199 */
return BFALSE;} }  else 
{ /* ./Jvm/jdump.scm 199 */
return BFALSE;} } }  else 
{ /* ./Jvm/jdump.scm 199 */
return BFALSE;} } }  else 
{ /* ./Jvm/jdump.scm 199 */
return BFALSE;} } } 
}



/* jvm-filename */
obj_t BGl_jvmzd2filenamezd2zzjvm_jdumpz00(obj_t BgL_namez00_26)
{ AN_OBJECT;
{ /* ./Jvm/jdump.scm 206 */
{ /* ./Jvm/jdump.scm 207 */
bool_t BgL_test3224z00_886;
{ /* ./Jvm/jdump.scm 207 */
obj_t BgL_objz00_1368;
BgL_objz00_1368 = BGl_za2jvmzd2directoryza2zd2zzengine_paramz00; 
BgL_test3224z00_886 = 
STRINGP(BgL_objz00_1368); } 
if(BgL_test3224z00_886)
{ /* ./Jvm/jdump.scm 208 */
bool_t BgL_test3225z00_887;
BgL_test3225z00_887 = 
bigloo_strcmp(BgL_namez00_26, BGl_string3712z00zzjvm_jdumpz00); 
if(BgL_test3225z00_887)
{ /* ./Jvm/jdump.scm 208 */
return BGl_za2jvmzd2directoryza2zd2zzengine_paramz00;}  else 
{ /* ./Jvm/jdump.scm 208 */
return 
BGl_makezd2filezd2namez00zz__osz00(BGl_za2jvmzd2directoryza2zd2zzengine_paramz00, BgL_namez00_26);} }  else 
{ /* ./Jvm/jdump.scm 207 */
return BgL_namez00_26;} } } 
}



/* jvm-dirname */
obj_t BGl_jvmzd2dirnamezd2zzjvm_jdumpz00(obj_t BgL_filez00_27)
{ AN_OBJECT;
{ /* ./Jvm/jdump.scm 216 */
{ /* ./Jvm/jdump.scm 217 */
obj_t BgL_dfilez00_888;
BgL_dfilez00_888 = 
BGl_dirnamez00zz__osz00(BgL_filez00_27); 
{ /* ./Jvm/jdump.scm 217 */
obj_t BgL_dirz00_889;
BgL_dirz00_889 = 
BGl_jvmzd2filenamezd2zzjvm_jdumpz00(BgL_dfilez00_888); 
{ /* ./Jvm/jdump.scm 218 */

{ /* ./Jvm/jdump.scm 219 */
bool_t BgL_test3229z00_890;
{ /* ./Jvm/jdump.scm 219 */
bool_t BgL_test3231z00_891;
BgL_test3231z00_891 = 
bigloo_strcmp(BgL_dfilez00_888, BGl_string3724z00zzjvm_jdumpz00); 
if(BgL_test3231z00_891)
{ /* ./Jvm/jdump.scm 219 */
BgL_test3229z00_890 = ((bool_t)0); }  else 
{ /* ./Jvm/jdump.scm 220 */
bool_t BgL_test3232z00_892;
{ /* ./Jvm/jdump.scm 220 */
char * BgL_stringz00_1373;
BgL_stringz00_1373 = 
BSTRING_TO_STRING(BgL_dfilez00_888); 
BgL_test3232z00_892 = 
directoryp(BgL_stringz00_1373); } 
if(BgL_test3232z00_892)
{ /* ./Jvm/jdump.scm 220 */
BgL_test3229z00_890 = ((bool_t)0); }  else 
{ /* ./Jvm/jdump.scm 221 */
bool_t BgL_test3233z00_893;
{ /* ./Jvm/jdump.scm 221 */
char * BgL_namez00_1374;
BgL_namez00_1374 = 
BSTRING_TO_STRING(BgL_dfilez00_888); 
BgL_test3233z00_893 = 
fexists(BgL_namez00_1374); } 
if(BgL_test3233z00_893)
{ /* ./Jvm/jdump.scm 221 */
BgL_test3229z00_890 = ((bool_t)0); }  else 
{ /* ./Jvm/jdump.scm 222 */
bool_t BgL__ortest_2935z00_894;
{ /* ./Jvm/jdump.scm 222 */
bool_t BgL_test3235z00_895;
{ /* ./Jvm/jdump.scm 222 */
obj_t BgL_objz00_1375;
BgL_objz00_1375 = BGl_za2jvmzd2directoryza2zd2zzengine_paramz00; 
BgL_test3235z00_895 = 
STRINGP(BgL_objz00_1375); } 
if(BgL_test3235z00_895)
{ /* ./Jvm/jdump.scm 222 */
BgL__ortest_2935z00_894 = ((bool_t)0); }  else 
{ /* ./Jvm/jdump.scm 222 */
BgL__ortest_2935z00_894 = ((bool_t)1); } } 
if(BgL__ortest_2935z00_894)
{ /* ./Jvm/jdump.scm 222 */
BgL_test3229z00_890 = BgL__ortest_2935z00_894; }  else 
{ /* ./Jvm/jdump.scm 223 */
char * BgL_stringz00_1376;
BgL_stringz00_1376 = 
BSTRING_TO_STRING(BGl_za2jvmzd2directoryza2zd2zzengine_paramz00); 
BgL_test3229z00_890 = 
directoryp(BgL_stringz00_1376); } } } } } 
if(BgL_test3229z00_890)
{ /* ./Jvm/jdump.scm 219 */
BGl_makezd2directorieszd2zz__r4_ports_6_10_1z00(BgL_dirz00_889); }  else 
{ /* ./Jvm/jdump.scm 219 */((bool_t)0); } } 
return BgL_dirz00_889;} } } } 
}



/* start-jvm-emission! */
obj_t BGl_startzd2jvmzd2emissionz12z12zzjvm_jdumpz00()
{ AN_OBJECT;
{ /* ./Jvm/jdump.scm 231 */
{ /* ./Jvm/jdump.scm 233 */
bool_t BgL_test3242z00_896;
{ /* ./Jvm/jdump.scm 233 */
obj_t BgL_objz00_1377;
BgL_objz00_1377 = BGl_za2destza2z00zzengine_paramz00; 
BgL_test3242z00_896 = 
STRINGP(BgL_objz00_1377); } 
if(BgL_test3242z00_896)
{ /* ./Jvm/jdump.scm 233 */
{ /* ./Jvm/jdump.scm 234 */
obj_t BgL_dnamez00_897;
BgL_dnamez00_897 = 
BGl_dirnamez00zz__osz00(BGl_za2destza2z00zzengine_paramz00); 
{ /* ./Jvm/jdump.scm 235 */
bool_t BgL_test3243z00_898;
BgL_test3243z00_898 = 
bigloo_strcmp(BgL_dnamez00_897, BGl_string3724z00zzjvm_jdumpz00); 
if(BgL_test3243z00_898)
{ /* ./Jvm/jdump.scm 235 */BFALSE; }  else 
{ /* ./Jvm/jdump.scm 235 */
BGl_za2jvmzd2dirzd2nameza2z00zzjvm_jdumpz00 = 
BGl_jvmzd2dirnamezd2zzjvm_jdumpz00(BGl_za2destza2z00zzengine_paramz00); } } } }  else 
{ /* ./Jvm/jdump.scm 237 */
bool_t BgL_test3247z00_899;
{ /* ./Jvm/jdump.scm 237 */
obj_t BgL_auxz00_1641;
BgL_auxz00_1641 = 
CNST_TABLE_REF(((long)3)); 
BgL_test3247z00_899 = 
(BGl_za2passza2z00zzengine_paramz00==BgL_auxz00_1641); } 
if(BgL_test3247z00_899)
{ /* ./Jvm/jdump.scm 237 */
{ /* ./Jvm/jdump.scm 238 */
bool_t BgL_test3248z00_900;
{ /* ./Jvm/jdump.scm 238 */
obj_t BgL_objz00_1380;
BgL_objz00_1380 = BGl_za2srczd2filesza2zd2zzengine_paramz00; 
BgL_test3248z00_900 = 
PAIRP(BgL_objz00_1380); } 
if(BgL_test3248z00_900)
{ /* ./Jvm/jdump.scm 239 */
obj_t BgL_arg3250z00_901;
{ /* ./Jvm/jdump.scm 239 */
obj_t BgL_pairz00_1381;
BgL_pairz00_1381 = BGl_za2srczd2filesza2zd2zzengine_paramz00; 
BgL_arg3250z00_901 = 
CAR(BgL_pairz00_1381); } 
BGl_za2jvmzd2dirzd2nameza2z00zzjvm_jdumpz00 = 
BGl_jvmzd2dirnamezd2zzjvm_jdumpz00(BgL_arg3250z00_901); }  else 
{ /* ./Jvm/jdump.scm 238 */BFALSE; } } }  else 
{ /* ./Jvm/jdump.scm 237 */BFALSE; } } } 
{ /* ./Jvm/jdump.scm 240 */
bool_t BgL_test3256z00_902;
{ /* ./Jvm/jdump.scm 240 */
bool_t BgL_test3258z00_903;
{ /* ./Jvm/jdump.scm 240 */
char * BgL_namez00_1382;
BgL_namez00_1382 = 
BSTRING_TO_STRING(BGl_za2jvmzd2dirzd2nameza2z00zzjvm_jdumpz00); 
BgL_test3258z00_903 = 
fexists(BgL_namez00_1382); } 
if(BgL_test3258z00_903)
{ /* ./Jvm/jdump.scm 240 */
char * BgL_stringz00_1383;
BgL_stringz00_1383 = 
BSTRING_TO_STRING(BGl_za2jvmzd2dirzd2nameza2z00zzjvm_jdumpz00); 
BgL_test3256z00_902 = 
directoryp(BgL_stringz00_1383); }  else 
{ /* ./Jvm/jdump.scm 240 */
BgL_test3256z00_902 = ((bool_t)0); } } 
if(BgL_test3256z00_902)
{ /* ./Jvm/jdump.scm 240 */
return BTRUE;}  else 
{ /* ./Jvm/jdump.scm 241 */
obj_t BgL_objectz00_1386;
BgL_objectz00_1386 = BGl_za2jvmzd2dirzd2nameza2z00zzjvm_jdumpz00; 
FAILURE(BGl_string3730z00zzjvm_jdumpz00,BGl_string3731z00zzjvm_jdumpz00,BgL_objectz00_1386);} } } 
}



/* _start-jvm-emission! */
obj_t BGl__startzd2jvmzd2emissionz12z12zzjvm_jdumpz00(obj_t BgL_envz00_1389)
{ AN_OBJECT;
{ /* ./Jvm/jdump.scm 231 */
return 
BGl_startzd2jvmzd2emissionz12z12zzjvm_jdumpz00();} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzjvm_jdumpz00()
{ AN_OBJECT;
{ /* ./Jvm/jdump.scm 71 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzjvm_jdumpz00()
{ AN_OBJECT;
{ /* ./Jvm/jdump.scm 71 */
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23537), "jvm_jdump"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "jvm_jdump"); 
BGl_modulezd2initializa7ationz75zzengine_passz00(((long)10268), "jvm_jdump"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "jvm_jdump"); 
BGl_modulezd2initializa7ationz75zztype_typeofz00(((long)852), "jvm_jdump"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)44246), "jvm_jdump"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "jvm_jdump"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)62031), "jvm_jdump"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30833), "jvm_jdump"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)30791), "jvm_jdump"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)14260), "jvm_jdump"); 
BGl_modulezd2initializa7ationz75zzjvm_compilez00(((long)49558), "jvm_jdump"); 
BGl_modulezd2initializa7ationz75zzjas_asz00(((long)63774), "jvm_jdump"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)8699), "jvm_jdump"); 
BGl_modulezd2initializa7ationz75zzread_jvmz00(((long)16338), "jvm_jdump"); 
BGl_modulezd2initializa7ationz75zzbackend_c_mainz00(((long)39441), "jvm_jdump"); 
return 
BGl_modulezd2initializa7ationz75zzbackend_c_prototypez00(((long)34740), "jvm_jdump");} 
}

